<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "XHTML1-t.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>Select ontology</title>
	<meta name="keywords" content="owl, ontology">
	<meta name="description" content="Select ontology to browse.">
	<link rel="stylesheet" href="/share/default.css" type="text/css"/>
</head>
<body>
<?php include "share/header.php"; ?>

<table>
<tr>
	<td valign="top" width="150" class="navibar">
	<?php include "share/navibar.php"; ?>
	</td>
	<td valign="top">
	
	<h1>Welcome</h1>
	<p>
		OWLLib is <a href="http://www.php.net">PHP</a> library for accessing 
		<a href="http://www.w3.org/2001/sw/WebOnt/">OWL</a> files.
	</p>
	<p>
		If you want to check what is implemented in the library try to 
		<a href="/browser/index.php">browse one of the available ontologies</a> on this server.
	</p>

	<h2>Download</h2>
	<p>
		The latest release is 
		<a href="https://sourceforge.net/project/showfiles.php?group_id=104564">version 1.0</a>.
		It can be downloaded from <a href="http://sourceforge.net/projects/phpowllib">SourceForge.net</a> 
	</p>
		 
	<h2>Installation</h2>
	<p>
		There are two packages:
		<ul>
			<li>owllib-src-{version}.zip</li>
			<li>owllib-{version}.zip</li>
		</ul> 
	</p>
	
	<h4>owllib-src-{version}.zip</h4>
	<p>
		This package contains everything what is on this page. 
		To install it simply unzip all files from the zip package to 
		the document root directory of you web server.
	</p>
	
	<h4>owllib-{version}.zip</h4>
	<p>
		This package contains only the library. 
		To install it:
		<ul>
			<li>unzip the content of the archive.</li>
			<li>include OWLLib.php, OWLParser.php, OWLMemoryOntology.php</li>
			<li>load ontology</li>
			<li>get root class</li>
		</ul> 
	</p>
	<p>
	 Sample code to open ontology:
	</p>
	<pre>
	require_once "owllib/OWLLib.php";
	require_once "$OWLLIB_ROOT/reader/OWLReader.php";
	require_once "$OWLLIB_ROOT/memory/OWLMemoryOntology.php";
	
	...
	
	$reader = new OWLReader();
	$ontology = new OWLMemoryOntology();
	$reader->read($filename, $ontology);
	$class = $ontology->getClass($id); 
	</pre>
	
	</td>
</tr>

</table>

<?php include "share/footer.php"; ?>
</body>

</html>
